For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all units
        • GETGet a unit by ID
        • POSTCreate Unit Files: Buildium
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
BuildiumUnits

Create Unit Files: Buildium

POST
/v1/units/buildium/:unit_id/file-upload/
POST
/v1/units/buildium/:unit_id/file-upload/
$curl -X POST https://api.propexo.com/v1/units/buildium/unit_id/file-upload/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "buildium-987654321",
> "attachments": [
> {
> "title": "Lease Agreement - Unit 12B",
> "file_type_id": "filetype-lease-agreement",
> "file_data": "VGhpcyBpcyBhIHNhbXBsZSBsZWFzZSBhZ3JlZW1lbnQgZmlsZSBjb250ZW50Lg==",
> "file_name": "lease_agreement_12B.pdf",
> "mime_type": "application/pdf"
> }
> ]
>}'
1{
2 "meta": {
3 "job_id": "job-20240615-123456"
4 },
5 "result": {
6 "integration_id": "buildium-987654321",
7 "unit_id": "unit-12B",
8 "attachments": [
9 {
10 "title": "Lease Agreement - Unit 12B",
11 "file_type_id": "filetype-lease-agreement",
12 "file_name": "lease_agreement_12B.pdf",
13 "mime_type": "application/pdf",
14 "file_data": "VGhpcyBpcyBhIHNhbXBsZSBsZWFzZSBhZ3JlZW1lbnQgZmlsZSBjb250ZW50Lg=="
15 }
16 ]
17 }
18}
Create Unit Files: Buildium | Interface | Method | |---|---| | | | | Files | POST /files/uploadrequests | <Note title="Notice">Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.</Note>
Was this page helpful?
Previous

Get all vendors

Next
Built with

Create Unit Files: Buildium

InterfaceMethod
FilesPOST /files/uploadrequests
Notice
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

unit_idstringRequired
The ID of the resource.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
attachmentslist of objectsRequired

Files w/ metadata for the unit. All the files can have a maximum combined file size of 50 MB

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error